Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Valued Contributor III
736 Views

Cyclone V Soc Eclipse Compile Errors

I am attempting to compile the Altera-Cyclone-V_RAM example project but get the error: 

 

C9932E: Cannot obtain license for Compiler (feature altera_compiler5) with license version >= 5.0201305 

 

I installed QuartusII Web Edition, v13.1, the Cyclone V SX, SOC Development Kit, and Eclipse DS-5 Altera Edition. Even when I create a new "Hello World" project, I get the same error message. I have a perpetual ARM license for this installation. 

 

Any thoughts or suggestions are greatly appreciated. 

 

Thank you and regards 

Spencer Ruggles
0 Kudos
2 Replies
Highlighted
Valued Contributor III
7 Views

Hi, 

 

I have exactly the same problem ... but no idea how to solve it. 

 

Anybody there who could help? 

 

Best regards 

 

Juergen
0 Kudos
Highlighted
Valued Contributor III
7 Views

All 

 

The license provided with your Altera Cyclone V Development Board is a "debug" licenses only. This license will not allow you to compile code. To compile code, download a 30-day subscription. This resolved my issue.  

 

Also, installing tools on drives other than where the OS resides causes strange failures. I installed the Quartus tools on C:\ while $XPHOME was on I:\. The compile failed. However, when I installed the Quartus tools on I:\, my BSP compiled properly.
0 Kudos